> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/pdf-converter-for-notes/troubleshooting/error-messages/error-exception-in-thread.md).

# Error - Exception in thread "Launcher: SwCreatePDF" java.lang.NoClassDefFoundError: -SOME CLASS-

This error message means that SWING PDF Converter jar files did not extract properly and were not loaded by Lotus Notes/Domino JVM.

SWING PDF Converter is written in Java and its jar files must be loaded in the Lotus Notes/Domino JVM.\
Lotus Notes/Domino JVM loads new jars only on startup so a restart is required if JVM is already running.

First, locate the ext folder in your Notes Domino installation (for example C:\Program Files\IBM\Domino/jvm/lib/ext).

If you find any of the JARs listed below in that folder, delete them:

* `bcpkix-jdk13-151.jar`
* `bcprov-jdk13-151.jar`
* `commons-codec-1.4.jar`
* `commons-httpclient-3.0.jar`
* `commons-io-1.4.jar`
* `commons-logging-1.1.1.jar`
* `flying-saucer-sw.jar`
* `htmlcleaner2_1.jar`
* `iText-2.1.7-sw.jar`
* `jai_codec.jar`
* `jai_core.jar`
* `jodconverter-3.0.4.jar`
* `juh-3.2.1.jar`
* `jurt-3.2.1.jar`
* `ridl-3.2.1.jar`
* `slf4j-api-1.7.7.jar`
* `swlmbcs.jar`
* `swpdfc-2.0.0.jar`
* `sw-unoil-3.2.1.jar`
* `swUtilities.jar`
* `xstream-1.3.1.jar`
* `zip4j_1.3.2.jar`

Then restart your Domino server or Notes client (depending on where your conversions are running) after installing PDF Converter. Domino server sometimes has to be restarted for the second time if same error is thrown the after first restart.

If restarting does not help than it is recommended to do a complete SWING PDF Converter removal and start the conversion again. This will force SWING PDF Converter to set up all required resources again.

The tool removal guide can be found here:

{% content-ref url="/pages/-MlCCbKybIAjexowmoHz" %}
[Removing PDF Converter completely from your system](/pdf-converter-for-notes/installation-uninstallation/uninstalling/removing-pdf-converter-completely-from-your-system.md)
{% endcontent-ref %}

If using Swing PDF Converter API, it is required to install fresh Swing PDF Converter design elements to third party database:&#x20;

{% content-ref url="/pages/-MlCFroCX2J6Hch5y364" %}
[Enabling your applications](/pdf-converter-for-notes/for-developers/enabling-your-applications.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.swingsoftware.com/pdf-converter-for-notes/troubleshooting/error-messages/error-exception-in-thread.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
